import { HttpClient } from './http-client';
import { Me, Page, Project, ProjectPublicData } from './types';
declare const errors: {
    SessionError: string;
    NotLoggedInError: string;
};
export declare const isObject: (data: unknown) => data is Record<string, unknown>;
export declare const isError: (data: unknown) => data is {
    name: keyof typeof errors;
};
export declare const handleError: <T>(result: T) => Promise<T>;
export declare class RestApi {
    #private;
    private readonly token?;
    private readonly httpClient;
    private errorHandler;
    get cookie(): string;
    constructor(token?: string | undefined, httpClient?: HttpClient, errorHandler?: <T>(result: T) => Promise<T>);
    getPage(projectName: string, pageName: string): Promise<Page>;
    getProject(projectName: string): Promise<Project>;
    getProjects(): Promise<{
        projects: ProjectPublicData[];
    }>;
    getMe(): Promise<Me>;
    replaceLinks(projectName: string, data: {
        from: string;
        to: string;
    }): Promise<unknown>;
    private get;
}
export {};
