import { ParseResult } from './parser';
export declare const isString: (value: unknown) => value is string;
export declare const pairwise: <T>(array: T[]) => [] | [[null, T], ...[T, T][]];
export declare const threewise: <T, U = T>(array: T[]) => [] | [[null, T | U, null]] | [[null, T | U, T], ...[U, T | U, T][], [U, T | U, null]];
export declare const threewiseMap: <T, U>(array: T[], project: (value: T, prev: U | undefined, next: T | undefined, index: number) => U) => U[];
export declare const extractTags: (nodes: ParseResult['nodes']) => string[];
export declare const extractLinks: (nodes: ParseResult['nodes']) => string[];
export declare const extractTexts: (nodes: ParseResult['nodes']) => string[];
